API Resources

POST
(POST) /v3/index/{index}

選択したインデックスのすべてのドキュメントのページ分割されたリストを取得するPOSTエンドポイント。BodyはGETエンドポイントと同じクエリパラメータを受け入れますが、CVEペイロードを使用して単一のリクエストで最大1000のCVE IDを検索することができます。

Bodyパラメータ

cvesarray[string]

インデックス内で検索するCVE IDのリストを指定します。このパラメータにより、単一のリクエストで最大1000のCVE IDを検索することができます。

Bodyの例:

{
  "cves": [
    "CVE-2015-1130",
    "CVE-2023-22527",
    "CVE-2024-22527"
  ]
}

パスパラメータ

indexstringrequired

エクスプロイト、脆弱性、またはIPインテリジェンスインデックスの名前

URLの例:

https://api.vulncheck.com/v3/index/exploits

全インデックス用クエリパラメータ

limit

レスポンスで返すエントリ数を指定します。

URLの例:

https://api.vulncheck.com/v3/index/exploits?limit=300
start_cursor

ページ分割されたクエリセッションを開始します。

URLの例:

https://api.vulncheck.com/v3/index/exploits?start_cursor
cursorstring

ページ分割されたクエリセッション用のカーソルを指定します。

URLの例:

https://api.vulncheck.com/v3/index/exploits?cursor=ZmZmZDYyMzIqNmNlZi00NGZmLWJkOGItZnFkMWY3ODIxMDJp

注意: クエリの次のカーソルは、レスポンスの_meta.next_cursorフィールドで指定されます。

lastModStartDatestring (YYYY-MM-DD)

フィルタリングするための最終変更日の開始日を指定します。

注意: 最終変更日は_timestampフィールドで指定されます。

URLの例:

https://api.vulncheck.com/v3/index/exploits?lastModStartDate=2024-01-01
lastModEndDatestring (YYYY-MM-DD)

フィルタリングするための最終変更日の終了日を指定します。

注意: 最終変更日は_timestampフィールドで指定されます。

URLの例:

https://api.vulncheck.com/v3/index/exploits?lastModEndDate=2024-01-01
pubStartDatestring (YYYY-MM-DD)

フィルタリングするための公開日の開始日を指定します。

URLの例:

https://api.vulncheck.com/v3/index/exploits?pubStartDate=2024-01-01
pubEndDatestring (YYYY-MM-DD)

フィルタリングするための公開日の終了日を指定します。

URLの例:

https://api.vulncheck.com/v3/index/exploits?pubEndDate=2024-01-01
updatedAtStartDatestring (YYYY-MM-DD)

データソース材料の更新をフィルタリングするための開始日を指定します。

URLの例:

https://api.vulncheck.com/v3/index/moxa?updatedAtStartDate=2024-01-01
updatedAtEndDatestring (YYYY-MM-DD)

データソース材料の更新をフィルタリングするための終了日を指定します。

URLの例:

https://api.vulncheck.com/v3/index/moxa?updatedAtEndDate=2024-01-01
datestring (YYYY-MM-DD)

指定された正確な日付でインデックスデータをフィルタリングします。このパラメータは、pubStartDatepubEndDateの両方を同じ日付値に設定するのと同じ機能です。

URLの例:

https://api.vulncheck.com/v3/index/exploits?date=2024-01-01
aliasstring

検索に使用するエイリアスを指定します。

URLの例:

https://api.vulncheck.com/v3/index/vulncheck-nvd2?alias=PrintNightmare
iavastring

検索に使用するIAVA IDを指定します。

sortstring

結果をソートするフィールドを指定します。利用可能なオプション: _timestampまたはdate_added

URLの例:

https://api.vulncheck.com/v3/index/exploits?sort=date_added
orderstring

結果のソート順を指定します。利用可能なオプション: asc(昇順)またはdesc(降順)。

URLの例:

https://api.vulncheck.com/v3/index/exploits?order=asc

特定インデックス用クエリパラメータ

botnetstring

検索に使用するボットネット名を指定します。VulnCheckでサポートされているボットネットはbotnetインデックスに記載されています。

URLの例:

https://api.vulncheck.com/v3/index/botnets?botnet=Fbot
threat_actorstring

検索に使用する脅威アクターを指定します。VulnCheckでサポートされている脅威アクター名はthreat-actorsインデックスに記載されています。

URLの例:

https://api.vulncheck.com/v3/index/threat-actors?threat_actor=UNC2630
mitre_idstring

threat-actorsインデックス内で検索する脅威アクターのMITRE ATT&CK Group IDを指定します。

URLの例:

https://api.vulncheck.com/v3/index/threat-actors?mitre_id=G0013
misp_idstring

threat-actorsインデックス内で検索する脅威アクターのMISP IDを指定します。

URLの例:

https://api.vulncheck.com/v3/index/threat-actors?misp_id=3570552c-c46f-428e-9472-744a14e6ece7
ransomwarestring

検索に使用するランサムウェアグループを指定します。VulnCheckでサポートされているランサムウェアグループはransomwareインデックスに記載されています。

IPインテリジェンスインデックス用クエリパラメータ

以下のオプションのクエリパラメータは、ipintel-3dipintel-10dipintel-30dipintel-90dのIPインテリジェンスインデックスに適用されます。

asnstring

フィルタリングするASN(例:「AS719」)を指定します。

URLの例:

https://api.vulncheck.com/v3/index/ipintel-3d?asn=AS394107
cidrstring

フィルタリングするCIDRまたはIPアドレスを指定します。

URLの例:

https://api.vulncheck.com/v3/index/ipintel-3d?cidr=77.68.0.0/16
countrystring

フィルタリングする国(例:「China」)を指定します。

URLの例:

https://api.vulncheck.com/v3/index/ipintel-3d?country=China
country_codestring

フィルタリングする国コード(例:「CN」)を指定します。

URLの例:

https://api.vulncheck.com/v3/index/ipintel-3d?country_code=CN
idstring

フィルタリングする検出ID(「c2」、「initial-access」、または「honeypot」)を指定します。

URLの例:

https://api.vulncheck.com/v3/index/ipintel-3d?id=honeypot
hostnamestring

フィルタリングするホスト名(例:「example.com」)を指定します。

URLの例:

https://api.vulncheck.com/v3/index/ipintel-3d?hostname=example.com

Canaryインテリジェンスインデックス用クエリパラメータ

src_countrystring

フィルタリングする国コード(例:「IR」)を指定します。

URLの例:

https://api.vulncheck.com/v3/index/vulncheck-canaries-3d?src_country=IR
dst_countrystring

フィルタリングする国コード(例:「US」)を指定します。

URLの例:

https://api.vulncheck.com/v3/index/vulncheck-canaries-3d?dst_country=US

リクエスト例

curl --request GET \
    --url https://api.vulncheck.com/v3/index/exploits \
    --header "Accept: application/json" \
    --header 'Authorization: Bearer insert_token_here'

レスポンス

{
  "_benchmark": 0.122322,
  "_meta": {
    "timestamp": "2024-02-23T20:35:43.732591251Z",
    "index": "exploits",
    "limit": 100,
    "total_documents": 79387,
    "sort": "_timestamp",
    "parameters": [
      {
        "name": "cve",
        "format": "CVE-YYYY-N{4-7}"
      },
      {
        "name": "alias"
      },
      {
        "name": "iava",
        "format": "[0-9]{4}[A-Z-0-9]+"
      },
      {
        "name": "threat_actor"
      },
      {
        "name": "mitre_id"
      },
      {
        "name": "misp_id"
      },
      {
        "name": "ransomware"
      },
      {
        "name": "botnet"
      },
      {
        "name": "published"
      },
      {
        "name": "lastModStartDate",
        "format": "YYYY-MM-DD"
      },
      {
        "name": "lastModEndDate",
        "format": "YYYY-MM-DD"
      },
      {
        "name": "pubStartDate",
        "format": "YYYY-MM-DD"
      },
      {
        "name": "pubEndDate",
        "format": "YYYY-MM-DD"
      }
    ],
    "order": "desc",
    "page": 1,
    "total_pages": 794,
    "max_pages": 6,
    "first_item": 1,
    "last_item": 100
  },
  "data": [
    {
      "id": "CVE-2023-50387",
      "public_exploit_found": true,
      "commercial_exploit_found": false,
      "weaponized_exploit_found": false,
      "max_exploit_maturity": "poc",
      "reported_exploited": false,
      "reported_exploited_by_threat_actors": false,
      "reported_exploited_by_ransomware": false,
      "reported_exploited_by_botnets": false,
      "inKEV": false,
      "inVCKEV": false,
      "timeline": {
        "nvd_published": "2024-02-14T16:15:00Z",
        "nvd_last_modified": "2024-02-23T02:15:00Z",
        "first_exploit_published": "2024-02-18T00:00:00Z",
        "most_recent_exploit_published": "2024-02-18T00:00:00Z"
      },
      "trending": {
        "github": false
      },
      "epss": {
        "epss_score": 0.03814,
        "epss_percentile": 0.9159,
        "last_modified": "2024-02-23T10:38:41.361178Z"
      },
      "counts": {
        "exploits": 1,
        "threat_actors": 0,
        "botnets": 0,
        "ransomware_families": 0
      },
      "exploits": [
        {
          "url": "https://github.com/knqyf263/CVE-2023-50387",
          "name": "knqyf263/CVE-2023-50387 exploit repository",
          "refsource": "github-exploits",
          "date_added": "2024-02-18T00:00:00Z",
          "exploit_maturity": "poc",
          "exploit_availability": "publicly-available",
          "exploit_type": "initial-access",
          "reference_url": "https://raw.githubusercontent.com/knqyf263/CVE-2023-50387/main/README.md",
          "clone_ssh_url": "git@github.com:knqyf263/CVE-2023-50387.git",
          "clone_ssh_url_cached": "git@git.vulncheck.com:github.com/knqyf263/CVE-2023-50387.git"
        }
      ],
      "date_added": "2024-02-18T00:00:00Z",
      "_timestamp": "2024-02-23T15:15:57.600519Z"
    }
  ]
}